package sysconf

import "strconv"

func (csv *CSVValue)Key()string {
	return csv.key
}

func (csv *CSVValue)Int()(int,error) {
	tmp,err:=strconv.Atoi(csv.value)
	return tmp,err
}

func (csv *CSVValue)MustInt()int {
	tmp,err:=csv.Int()
	if err!=nil {
		panic(err)
	}
	return tmp
}

func (csv *CSVValue)Int64()(int64,error) {
	tmp,err:=strconv.ParseInt(csv.value,10,64)
	return tmp,err
}

func (csv *CSVValue)MustInt64()int64 {
	tmp,err:=csv.Int64()
	if err!=nil {
		panic(err)
	}
	return tmp
}

func (csv *CSVValue)Int32()(int32,error) {
	tmp,err:=strconv.ParseInt(csv.value,10,32)
	return int32(tmp),err
}

func (csv *CSVValue)MustInt32()int32 {
	tmp,err:=csv.Int32()
	if err!=nil {
		panic(err)
	}
	return tmp
}

func (csv *CSVValue)Uint64()(uint64,error) {
	tmp,err:=strconv.ParseUint(csv.value,10,64)
	return tmp,err
}

func (csv *CSVValue)MustUint64()uint64 {
	tmp,err:=csv.Uint64()
	if err!=nil {
		panic(err)
	}
	return tmp
}

func (csv *CSVValue)Uint32()(uint32,error) {
	tmp,err:=strconv.ParseUint(csv.value,10,32)
	return uint32(tmp),err
}

func (csv *CSVValue)MustUint32()uint32 {
	tmp,err:=csv.Uint32()
	if err!=nil {
		panic(err)
	}
	return tmp
}

func (csv *CSVValue)String()string {
	return csv.value
}

func (csv *CSVValue)Byte()[]byte {
	return []byte(csv.value)
}


func (csv *CSVValue)Bool()(bool,error) {
	tmp,err:=strconv.ParseBool(csv.value)
	return tmp,err
}

func (csv *CSVValue)MustBool()bool {
	tmp,err:=csv.Bool()
	if err!=nil {
		panic(err)
	}
	return tmp
}

func (csv *CSVValue)Float64()(float64,error) {
	tmp,err:=strconv.ParseFloat(csv.value,64)
	return tmp,err
}

func (csv *CSVValue)MustFloat64()float64 {
	tmp,err:=csv.Float64()
	if err!=nil {
		panic(err)
	}
	return tmp
}

func (csv *CSVValue)Float32()(float32,error) {
	tmp,err:=strconv.ParseFloat(csv.value,32)
	return float32(tmp),err
}

func (csv *CSVValue)MustFloat32()float32 {
	tmp,err:=csv.Float32()
	if err!=nil {
		panic(err)
	}
	return tmp
}